Bug 1595277 - man for net doesn't have net ads lookup
Summary: man for net doesn't have net ads lookup
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: samba
Version: 7.6
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: jstephen
QA Contact: Andrej Dzilský
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-06-26 13:15 UTC by kludhwan
Modified: 2020-03-31 19:57 UTC (History)
6 users (show)

Fixed In Version: samba-4.10.4-0.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-03-31 19:56:34 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2020:1084 None None None 2020-03-31 19:57:08 UTC

Description kludhwan 2018-06-26 13:15:19 UTC
Just noticed that manual for "net" tool provided by samba package is not fully documented, as I could find no reference for usage in following form in manual, nor if it accepts more optional params:

# net ads lookup

And the behavior/output is very different from the command:

# net lookup 

which is fully documented.

Examples:

A)
 # net ads lookup
Information for Domain Controller:<output_removed>

Response Type: LOGON_SAM_LOGON_RESPONSE_EX
GUID: <output_removed>
Flags:
        Is a PDC:                                   yes
        Is a GC of the forest:                      yes
        Is an LDAP server:                          yes
        Supports DS:                                yes
        Is running a KDC:                           yes
        Is running time services:                   yes
        Is the closest DC:                          no
        Is writable:                                yes
        Has a hardware clock:                       yes
        Is a non-domain NC serviced by LDAP server: no
        Is NT6 DC that has some secrets:            no
        Is NT6 DC that has all secrets:             yes
        Runs Active Directory Web Services:         yes
        Runs on Windows 2012 or later:              yes
Forest:                <output_removed>
Domain:                 <output_removed>
Domain Controller:      <output_removed>
Pre-Win2k Domain:       <output_removed>
Pre-Win2k Hostname:     <output_removed>
Server Site Name :              <output_removed>
Client Site Name :
NT Version: 5
LMNT Token: ffff
LM20 Token: ffff

B)
]# net lookup dc
<IP_removed>
<IP_removed>
]# net lookup kdc
<IP_removed>:88
<IP_removed>:88
]# net lookup pdc
<IP_removed>

Comment 2 kludhwan 2018-06-26 13:16:46 UTC
upstream PR for manual entry of ads lookup.

https://github.com/samba-team/samba/pull/200

Comment 4 jstephen 2018-09-25 13:54:41 UTC
This is fixed upstream and the patch includes adding the options 'LOOKUP NAME' 'LOOKUP SID' and 'LOOKUP DSGETDCNAME' to the net man page.

Comment 5 jstephen 2018-09-25 13:58:08 UTC
Also, the 'ADS LOOKUP' man page addition submitted by Amit Kumar was pushed upstream

https://github.com/samba-team/samba/commit/56d9b1a533b8d3ebd4e686145883c7ed62c08ce0

Comment 6 kludhwan 2018-10-11 12:33:31 UTC
Hello Justin,

When you think this bugzilla will be fixed.

Thanks,
Kushal

Comment 7 jstephen 2018-10-11 13:01:48 UTC
Hello,

This is planned for RHEL 7.7.

Comment 10 Andrej Dzilský 2019-04-16 12:29:23 UTC
I can verify that ADS LOOKUP option is documented in 'net' man page but other options you've mentioned are not included in downstream 'net' man page. Is it intended ?

Comment 15 errata-xmlrpc 2020-03-31 19:56:34 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:1084


Note You need to log in before you can comment on or make changes to this bug.